Subject: bug#21658: 24.5; Scrolling garbles text with third monitor enabled

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Oct 2015 21:35:51 +0300

[Please keep the bug address on the CC list.]

> Date: Mon, 12 Oct 2015 18:21:08 -0000 (GMT)
> From: [email-masked]
> 
> > Are the problematic frames/windows displayed on the 3rd monitor?
> >
> > Do the coordinates of the frames on the 1st and the 2nd monitor change
> > when you enable the 3rd monitor?
> >
> > If the answer to both of these questions is NO, then I cannot see how
> > it could be an Emacs problem.  It could be some hardware problem or
> > perhaps a bug in the underlying X libraries/server.  AFAIK, when Emacs
> > redraws a window on a monitor, it doesn't inquire the system about the
> > monitors, the only thing it cares about is pixel coordinates of
> > windows and frames.
> >
> 
> The frames do the same thing on any monitor.  I don't think the
> coordinates should change at all, the additional monitor is appended to
> the right of the others (though it makes no difference where I add it,
> even if I just clone one of the other screens).
> 
> Is there anything special about the way emacs buffers are drawn compared
> to other programs that would give me a clue as to why this only happens in
> emacs?

We just use Xlib calls, see xterm.c and xfns.c.